Actions / Inbox
Moderate inbox
Full accessmoderate_inbox
Acts on inbox items: like, unlike, hide, unhide, delete on the platform, change status, or classify.
Needs the publish scope. Acts on live social accounts or cannot be undone.
Inputs
| Input | Type | Required | Description |
|---|---|---|---|
items | object[] | Yes | Each item: itemId (required), action (required), classification. Up to 30. |
REST
curl https://chirpy.me/api/v1/moderate_inbox \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-H "Idempotency-Key: $(uuidgen)" \
-d '{"items":[{"itemId":123,"action":"like"}]}'MCP
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "moderate_inbox",
"arguments": {
"items": [
{
"itemId": 123,
"action": "like"
}
]
}
}
}MCP hints: readOnlyHint: false, destructiveHint: true, idempotentHint: false, openWorldHint: true.
